#ifndef TEXTURES_H
#define TEXTURES_H

/* number of textures in the game */
#define NUM_TEXTURES 6

/**
 * Image struct. Used for storing textures
 */
typedef struct{
    unsigned long width; /* width of the image */
    unsigned long height; /* height of the image */
    char *data; /* the actual image data */
} Image;

int imageLoad(char *filename, Image *image);
void loadTextures();

#endif
