#include <GL/glut.h>
#include "labyrinth.h"
#include "mouse_handler.h"

extern board bo;
extern labyrinth lab;

/**
 * Handles mouseclicks
 */
void mouseClick(int button, int state, int x, int y)
{
	if(button == 3){ /* scroll up */
		zoomIn();
	} else if(button == 4){ /* scroll down */
		zoomOut();
	}
}

/**
 * Handles movement of the mouse
 */
void mouseMovement(int x, int y)
{
	if(lab.lastMouseX == -2){
		lab.lastMouseX = x;
	}

	if(lab.lastMouseY == -2){
		lab.lastMouseY = y;
	}

	if(lab.lastMouseX < x){
		lab.screenRotY += 1;
	} else if(lab.lastMouseX > x){
		lab.screenRotY -= 1;
	}

	if(lab.lastMouseY < y){
		lab.screenRotX += 1;
	} else if(lab.lastMouseY > y){
		lab.screenRotX -= 1;
	}

	lab.lastMouseX = x;
	lab.lastMouseY = y;
}
